← Töflur

Scotland

Scottish Premiership

#LiðPWDLPDBPPtsForm
1Melrose Rugby7601+68731LWWWW
2Ayr RFC7601+150630WWLWW
3Currie Chieftains6501+107626WWLWW
4Heriot's Rugby Men7403+128925WLWLW
5Watsonian FC7502+22525WWLWW
6Kelso RFC7304-61719LLWWL
7GHA RFC7205-9816WWLLL
8Hawick RFC6204-107210WLLWL
9Edinburgh Accies7106-15048LWLLL
10Glasgow Hawks RFC7007-14833LLLLL

Heimild: Scottish Rugby · athugað 18. okt., 21:22 · Form: síðustu fimm úrslit sem við höfum, nýjustu til hægri.

Leikir og úrslit →

Hver tafla er sú sem deildin sjálf birtir, með bónusstigum, frádrætti og jafnræðisreglum. BP er sýnt þar sem deildin birtir það; annars er það þegar í Pts.